> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create offline user list job

> Create a job to upload users to a Google customer match list

Create a job to upload users to a Google customer match list

```http theme={null}
POST https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="locationId" type="string" required default="loc_abc123">
  Account identifier
</ParamField>

<ParamField body="smartListIds" type="string[]">
  Smart list IDs
</ParamField>

<ParamField body="csvPath" type="string" default="/uploads/users.csv">
  CSV file path
</ParamField>

<ParamField body="userListId" type="string" default="ul_123">
  User list identifier
</ParamField>

<ParamField body="isDynamic" type="boolean" default="False">
  Dynamic list flag
</ParamField>

## Respuestas

<Accordion title="201 - Response" />

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "locationId": "loc_abc123",
    "smartListIds": [
      "sl_123"
    ],
    "csvPath": "/uploads/users.csv",
    "userListId": "ul_123",
    "isDynamic": false
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"locationId": "loc_abc123", "smartListIds": ["sl_123"], "csvPath": "/uploads/users.csv", "userListId": "ul_123", "isDynamic": false}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"locationId": "loc_abc123", "smartListIds": ["sl_123"], "csvPath": "/uploads/users.csv", "userListId": "ul_123", "isDynamic": false},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'smartListIds': ['sl_123'], 'csvPath': '/uploads/users.csv', 'userListId': 'ul_123', 'isDynamic': false}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
